# maxPagePagination

inline suspend fun ReadCRUDRepo <*, *>. maxPagePagination (): SimplePagination (source)

Creates a pagination starting from the first page with size equal to the total count of items in this ReadCRUDRepo. This effectively creates a single page containing all items.

#### Return

A FirstPagePagination with size equal to the repository count

inline suspend fun ReadKeyValueRepo <*, *>. maxPagePagination (): SimplePagination (source)

Creates a pagination starting from the first page with size equal to the total count of items in this ReadKeyValueRepo. This effectively creates a single page containing all items.

#### Return

A FirstPagePagination with size equal to the repository count

inline suspend fun ReadKeyValuesRepo <*, *>. maxPagePagination (): SimplePagination (source)

Creates a pagination starting from the first page with size equal to the total count of items in this ReadKeyValuesRepo. This effectively creates a single page containing all items.

#### Return

A FirstPagePagination with size equal to the repository count